Skip to main content
POST
/
setup_requests
/
{setup_request_id}
/
confirm
Confirm a setup request
curl --request POST \
  --url https://api.withacclaim.com/v1/setup_requests/{setup_request_id}/confirm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "Updated setup request for customer",
  "payer_id": "pyr_AbC123XyZ",
  "payment_method": {},
  "expires_at": "2025-12-31T23:59:59Z",
  "ip_address": "192.168.1.1",
  "user_agent": "Mozilla/5.0...",
  "metadata": {
    "custom_field": "value",
    "source": "api"
  }
}
'
import requests

url = "https://api.withacclaim.com/v1/setup_requests/{setup_request_id}/confirm"

payload = {
"description": "Updated setup request for customer",
"payer_id": "pyr_AbC123XyZ",
"payment_method": {},
"expires_at": "2025-12-31T23:59:59Z",
"ip_address": "192.168.1.1",
"user_agent": "Mozilla/5.0...",
"metadata": {
"custom_field": "value",
"source": "api"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Updated setup request for customer',
payer_id: 'pyr_AbC123XyZ',
payment_method: {},
expires_at: '2025-12-31T23:59:59Z',
ip_address: '192.168.1.1',
user_agent: 'Mozilla/5.0...',
metadata: {custom_field: 'value', source: 'api'}
})
};

fetch('https://api.withacclaim.com/v1/setup_requests/{setup_request_id}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "ta_AbC123XyZ",
  "setup_request_id": "trq_Def456UvW",
  "payer_id": "pyr_GhI789JkL",
  "status": "Succeeded",
  "processor_transaction_id": "txn_processor_123",
  "failure_code": "validation_failed",
  "failure_message": "Payment method validation failed",
  "created_at": "2025-10-08T18:20:31Z",
  "updated_at": "2025-10-08T18:25:00Z"
}
{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}
{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}
{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

setup_request_id
string
required

ID of the setup request.

Body

application/json
description
string | null

Optional description of the setup request

Maximum string length: 255
Example:

"Updated setup request for customer"

payer_id
string | null

ID of the payer to associate with this setup request

Example:

"pyr_AbC123XyZ"

payment_method
object | null

Payment method data (e.g., payment_token, payment_method type)

expires_at
string<date-time> | null

When the setup request expires (ISO 8601 date-time string)

Example:

"2025-12-31T23:59:59Z"

ip_address
string | null

IP address of the client making the request

Example:

"192.168.1.1"

user_agent
string | null

User agent of the client making the request

Example:

"Mozilla/5.0..."

metadata
object | null

Optional metadata as key-value pairs

Example:
{ "custom_field": "value", "source": "api" }

Response

Setup request completed successfully.

id
string
Example:

"ta_AbC123XyZ"

setup_request_id
string | null

ID of the setup request this attempt belongs to

Example:

"trq_Def456UvW"

payer_id
string | null

ID of the payer for this setup attempt

Example:

"pyr_GhI789JkL"

status
enum<string>

Current status of the setup attempt

Available options:
Pending,
Processing,
Succeeded,
Failed
Example:

"Succeeded"

processor_transaction_id
string | null

Processor transaction ID from the payment processor

Example:

"txn_processor_123"

failure_code
string | null

Error code if the setup attempt failed

Example:

"validation_failed"

failure_message
string | null

Human-readable error message if the setup attempt failed

Example:

"Payment method validation failed"

created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

updated_at
string<date-time>
Example:

"2025-10-08T18:25:00Z"

Last modified on June 14, 2026